<bugID>381189<Summary>[meta] Reduce code duplication in js xpcom by using the import module (XPCOMUtils.jsm)</Summary><Description>User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.4pre) Gecko/20070518 Firefox/2.0.0.3 Navigator/9.0a13
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.4pre) Gecko/20070518 Firefox/2.0.0.3 Navigator/9.0a13

This is the Firefox bug to start using the new the new js code sharing system from bug 238324.  This should greatly reduce the amount of code duplication for javascript xpcom module registration.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.</Description></bugID>